PUT
/{resourceUri}/providers/microsoft.insights/guestDiagnosticSettingsAssociation/{associationName}
https://azure.com/{resourceUri}/providers/microsoft.insights/guestDiagnosticSettingsAssociation/{associationName}Creates or updates guest diagnostics settings association.
Access Token Required: API Key
Path Parameters
resourceUristringrequired
The fully qualified ID of the resource, including the resource name and resource type.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'https://azure.com/{resourceUri}/providers/microsoft.insights/guestDiagnosticSettingsAssociation/{associationName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}